package cd.casic.ci.api;

import cd.casic.ci.process.process.dataObject.history.PipPipelineHisInstance;
import cd.casic.ci.process.process.dataObject.log.PipTaskLog;
import cd.casic.ci.process.process.service.history.PipelineHistoryService;
import cd.casic.ci.process.process.service.taskLog.TaskLogService;
import cd.casic.framework.commons.pojo.CommonResult;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/history")
public class PipHistoryController {
    @Resource
    TaskLogService taskLogService;
    @Resource
    PipelineHistoryService pipelineHistoryService;
    @GetMapping("/getLogById")
    public CommonResult<PipTaskLog> getLogById(String id){
        PipTaskLog byId = taskLogService.getById(id);
        return CommonResult.success(byId);
    }
    @GetMapping("/list")
    public CommonResult<List<PipPipelineHisInstance>> list(String pipelineId){
        List<PipPipelineHisInstance> list = pipelineHistoryService.list();
        return CommonResult.success(list);
    }
}
